Choose language: ENGLISH | RUSSIAN (Русский)

W: GPG error: http://repo.mysql.com jessie InRelease: The following signatures were invalid: KEYEXPIRED 1487236823 KEYEXPIRED 1487236823 KEYEXPIRED 1487236823

Для исправления этой ошибки есть простое решение

Ошибка apt:

W: Ошибка GPG: http://repo.mysql.com jessie InRelease: Следующие подписи неверные: KEYEXPIRED 1487236823 KEYEXPIRED 1487236823 KEYEXPIRED 1487236823

или

W: GPG error: ftp://ftp.fr.debian.org stable/non-US Release: The following signatures were invalid: KEYEXPIRED 1138684904

Решение:

# apt-key list | grep expired

или (если у вас всё на русском)

# apt-key list | grep просрочен
pub   1024D/5072E1F5 2003-02-03 [просрочен с: 2017-02-16]

обновляем ключ:

apt-key adv --recv-keys --keyserver keys.gnupg.net 5072E1F5
W: GPG error: http://repo.mysql.com jessie InRelease: The following signatures were invalid: KEYEXPIRED 1487236823 KEYEXPIRED 1487236823 KEYEXPIRED 1487236823